Eliminate MochiKit: admin section - js

Bug #1646229 reported by Alexey Omelchenko on 2016-11-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Alexey Omelchenko

Bug Description

Part of general task: Replace all MochiKit code with jQuery

Changed in mahara:
assignee: nobody → Alexey Omelchenko (alexeyomelchenko)
status: New → In Progress
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7295

Reviewed: https://reviews.mahara.org/7295
Committed: https://git.mahara.org/mahara/mahara/commit/4a52f5e601221f8f3c457502ae79650bd397de42
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 4a52f5e601221f8f3c457502ae79650bd397de42
Author: alexeyomelchenko <email address hidden>
Date: Fri Dec 2 15:44:41 2016 +1300

Bug 1646229: Eliminate MochiKit from Admin Secton: admin/other

* feedback from review applied

behatnotneeded: same functionality

Change-Id: If42dac36c483c0d2f41c0a42950ee73518f16fb0
Signed-off-by: alexeyomelchenko <email address hidden>

Robert Lyon (robertl-9) on 2016-12-13
Changed in mahara:
importance: Undecided → Wishlist
milestone: none → 17.04.0
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7282
Committed: https://git.mahara.org/mahara/mahara/commit/47913f5e49d473f3b6ce2a7bcba524b20bc5af14
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 47913f5e49d473f3b6ce2a7bcba524b20bc5af14
Author: alexeyomelchenko <email address hidden>
Date: Wed Nov 30 10:39:39 2016 +1300

Bug 1646229: Eliminate MochiKit: admin section -js

* applied feedback from comments

behatnotneeded: same functionality

Change-Id: Iea7e3a04efca7d8b9c12014a1b16a67970fce62f
Signed-off-by: alexeyomelchenko <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7291
Committed: https://git.mahara.org/mahara/mahara/commit/c6518cb2443b8f3e8103399a6cc6a1d73a50d9df
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit c6518cb2443b8f3e8103399a6cc6a1d73a50d9df
Author: alexeyomelchenko <email address hidden>
Date: Mon Dec 5 10:14:57 2016 +1300

Bug 1646229: Eliminate Mochikit from Admin Section: admin/users

behatnotneeded: same functionality

Change-Id: Ied3a5f105dbe0bee6db2c9773163a437c7dfad44
Signed-off-by: alexeyomelchenko <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7288
Committed: https://git.mahara.org/mahara/mahara/commit/46dcc30bfd2df17d7a609e2e84e7567017a4fe0e
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 46dcc30bfd2df17d7a609e2e84e7567017a4fe0e
Author: alexeyomelchenko <email address hidden>
Date: Fri Dec 2 10:38:39 2016 +1300

Bug 1646229: Eliminate Mochikit from Admin Section: admin/group

behatnotneeded: same functionality

Change-Id: Iae51435c54fb9f8a0854b34946803ef9a3f27bca
Signed-off-by: alexeyomelchenko <email address hidden>

Robert Lyon (robertl-9) wrote :

Still one patch in reviews on this bug number to go

Changed in mahara:
status: Fix Committed → Won't Fix
status: Won't Fix → In Progress
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7289
Committed: https://git.mahara.org/mahara/mahara/commit/422e08ab22d7acf156212d9da87f1603b8baea4d
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 422e08ab22d7acf156212d9da87f1603b8baea4d
Author: alexeyomelchenko <email address hidden>
Date: Fri Dec 2 16:36:52 2016 +1300

Bug 1646229: eliminate MochiKit admin/site

behatnotneeded: same functionality

Change-Id: Ief98a0a2e5dfdac29518cad06348566f8925213b
Signed-off-by: alexeyomelchenko <email address hidden>

Robert Lyon (robertl-9) on 2016-12-22
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers